Debian Bug report logs - #688069
liblocale-subcountry-perl: Version checks fail ("our $VERSION" moved before "package Locale::SubCountry")

version graph

Package: liblocale-subcountry-perl; Maintainer for liblocale-subcountry-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for liblocale-subcountry-perl is src:liblocale-subcountry-perl.

Reported by: Ivan Kohler <ivan-debian@420.am>

Date: Tue, 18 Sep 2012 21:09:02 UTC

Severity: serious

Tags: patch, upstream

Found in version liblocale-subcountry-perl/1.56-1

Fixed in version liblocale-subcountry-perl/1.56-2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=79734

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#688069; Package liblocale-subcountry-perl. (Tue, 18 Sep 2012 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Kohler <ivan-debian@420.am>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 18 Sep 2012 21:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ivan Kohler <ivan-debian@420.am>
To: submit@bugs.debian.org
Subject: liblocale-subcountry-perl: Version checks fail ("our $VERSION" moved before "package Locale::SubCountry")
Date: Tue, 18 Sep 2012 13:54:35 -0700
Package: liblocale-subcountry-perl
Version: 1.56-1
Severity: serious
Tags: upstream patch
Justification: (Team) Package maintainer's opinion - package unsuitable for release

$ perl -e 'use Locale::SubCountry 54'
Locale::SubCountry does not define $Locale::SubCountry::VERSION--version check failed at -e line 1.

Sometime after version 1.50, "our $VERSION = 1.xx" was moved to the top of
the code, above any "package" declaration.  It is therefore not declaring
$Locale::SubCountry::VERSION, and previously-working version checks like
"use Locale::SubCountry 1.42" now throw a fatal error.

The patch below adds a "package Locale::SubCountry" to the beginning of the
code.  This seems like typical / best practice for modules, to avoid any
symbol exports from the intial "use" statements from polluting the main::
namespace.



--- SubCountry.pm.ORIG  2012-09-18 13:02:15.702774878 -0700
+++ SubCountry.pm       2012-09-18 13:30:04.351443803 -0700
@@ -314,6 +314,8 @@
 
 #-------------------------------------------------------------------------------
 
+package Locale::SubCountry;
+
 use strict;
 use warnings;
 use locale;



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liblocale-subcountry-perl depends on:
ii  perl  5.14.2-13

liblocale-subcountry-perl recommends no packages.

liblocale-subcountry-perl suggests no packages.

-- no debconf information


-- 
Ivan Kohler
President and Head Geek, Freeside Internet Services, Inc.  http://freeside.biz/
Debian GNU/Linux developer  |  CPAN author  |  cat person  |  ski addict



Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=79734'. Request was from Ivan Kohler <ivan-debian@420.am> to control@bugs.debian.org. (Tue, 18 Sep 2012 21:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#688069; Package liblocale-subcountry-perl. (Wed, 24 Oct 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 24 Oct 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 688069@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ivan Kohler <ivan-debian@420.am>, 688069@bugs.debian.org
Subject: Re: Bug#688069: liblocale-subcountry-perl: Version checks fail ("our $VERSION" moved before "package Locale::SubCountry")
Date: Wed, 24 Oct 2012 20:41:54 +0200
[Message part 1 (text/plain, inline)]
On Tue, 18 Sep 2012 13:54:35 -0700, Ivan Kohler wrote:

> $ perl -e 'use Locale::SubCountry 54'
> Locale::SubCountry does not define $Locale::SubCountry::VERSION--version check failed at -e line 1.
> 
> Sometime after version 1.50, "our $VERSION = 1.xx" was moved to the top of
> the code, above any "package" declaration.  It is therefore not declaring
> $Locale::SubCountry::VERSION, and previously-working version checks like
> "use Locale::SubCountry 1.42" now throw a fatal error.
> 
> The patch below adds a "package Locale::SubCountry" to the beginning of the
> code.  This seems like typical / best practice for modules, to avoid any
> symbol exports from the intial "use" statements from polluting the main::
> namespace.

Are you going to upload the fixed package? Or should someone else go
ahead?
 

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Ben Weaver: Boxcars
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#688069; Package liblocale-subcountry-perl. (Fri, 26 Oct 2012 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Kohler <ivan-debian@420.am>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 26 Oct 2012 09:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 688069@bugs.debian.org (full text, mbox):

From: Ivan Kohler <ivan-debian@420.am>
To: gregor herrmann <gregoa@debian.org>
Cc: 688069@bugs.debian.org
Subject: Re: Bug#688069: liblocale-subcountry-perl: Version checks fail ("our $VERSION" moved before "package Locale::SubCountry")
Date: Fri, 26 Oct 2012 02:20:24 -0700
On Wed, Oct 24, 2012 at 08:41:54PM +0200, gregor herrmann wrote:
> On Tue, 18 Sep 2012 13:54:35 -0700, Ivan Kohler wrote:
> 
> > $ perl -e 'use Locale::SubCountry 54'
> > Locale::SubCountry does not define $Locale::SubCountry::VERSION--version check failed at -e line 1.
> > 
> > Sometime after version 1.50, "our $VERSION = 1.xx" was moved to the top of
> > the code, above any "package" declaration.  It is therefore not declaring
> > $Locale::SubCountry::VERSION, and previously-working version checks like
> > "use Locale::SubCountry 1.42" now throw a fatal error.
> > 
> > The patch below adds a "package Locale::SubCountry" to the beginning of the
> > code.  This seems like typical / best practice for modules, to avoid any
> > symbol exports from the intial "use" statements from polluting the main::
> > namespace.
> 
> Are you going to upload the fixed package? Or should someone else go
> ahead?

Since wheezy isn't affected (or released) and upstream hasn't yet 
responded/updated, I guess I was more in a holding pattern over here 
with regard to this.

Anyone else may feel free to go ahead and upload.

-- 
_ivan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#688069; Package liblocale-subcountry-perl. (Fri, 26 Oct 2012 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 26 Oct 2012 12:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 688069@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ivan Kohler <ivan-debian@420.am>
Cc: 688069@bugs.debian.org
Subject: Re: Bug#688069: liblocale-subcountry-perl: Version checks fail ("our $VERSION" moved before "package Locale::SubCountry")
Date: Fri, 26 Oct 2012 14:07:42 +0200
[Message part 1 (text/plain, inline)]
On Fri, 26 Oct 2012 02:20:24 -0700, Ivan Kohler wrote:

> > > The patch below adds a "package Locale::SubCountry" to the beginning of the
> > > code.  This seems like typical / best practice for modules, to avoid any
> > > symbol exports from the intial "use" statements from polluting the main::
> > > namespace.
> > Are you going to upload the fixed package? Or should someone else go
> > ahead?
> Since wheezy isn't affected (or released) and upstream hasn't yet 
> responded/updated, I guess I was more in a holding pattern over here 
> with regard to this.

Ah, I missed that wheezy isn't affected; good :)
 
Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Tom Waits: Metropolitan Glide
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#688069; Package liblocale-subcountry-perl. (Tue, 30 Oct 2012 16:48:03 GMT) Full text and rfc822 format available.

Message #25 received at 688069@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 688069@bugs.debian.org, 688069-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the liblocale-subcountry-perl package
Date: Tue, 30 Oct 2012 16:45:36 +0000
tag 688069 + pending
thanks

Some bugs in the liblocale-subcountry-perl package are closed in
revision 64daa689702f13a34d07fe86cd5d719c29b5d0e0 in branch 'master'
by gregor herrmann

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/liblocale-subcountry-perl.git;a=commitdiff;h=64daa68

Commit message:

    Add patch package.patch from Ivan Kohler: add a package declaration.
    
    Closes: #688069




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 30 Oct 2012 16:48:05 GMT) Full text and rfc822 format available.

Message sent on to Ivan Kohler <ivan-debian@420.am>:
Bug#688069. (Tue, 30 Oct 2012 16:48:08 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 30 Oct 2012 16:51:06 GMT) Full text and rfc822 format available.

Notification sent to Ivan Kohler <ivan-debian@420.am>:
Bug acknowledged by developer. (Tue, 30 Oct 2012 16:51:06 GMT) Full text and rfc822 format available.

Message #35 received at 688069-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 688069-close@bugs.debian.org
Subject: Bug#688069: fixed in liblocale-subcountry-perl 1.56-2
Date: Tue, 30 Oct 2012 16:47:33 +0000
Source: liblocale-subcountry-perl
Source-Version: 1.56-2

We believe that the bug you reported is fixed in the latest version of
liblocale-subcountry-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 688069@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated liblocale-subcountry-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 30 Oct 2012 17:44:18 +0100
Source: liblocale-subcountry-perl
Binary: liblocale-subcountry-perl
Architecture: source all
Version: 1.56-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 liblocale-subcountry-perl - module for converting state/province names to/from code
Closes: 688069
Changes: 
 liblocale-subcountry-perl (1.56-2) unstable; urgency=low
 .
   * Add patch package.patch from Ivan Kohler: add a package declaration.
     (Closes: #688069)
   * Bump Standards-Version to 3.9.4 (no changes).
Checksums-Sha1: 
 45f73d9716393a62a1a41808ee16eeefa2fdea00 2331 liblocale-subcountry-perl_1.56-2.dsc
 ef351868e0ae20dbdf00bef600ba789eadc2bf1c 4151 liblocale-subcountry-perl_1.56-2.debian.tar.gz
 4f5fefa8f0d3b869bacd38769315e643e0f99984 83402 liblocale-subcountry-perl_1.56-2_all.deb
Checksums-Sha256: 
 d7a636c9929b58eb6216e8baae22d3cfd7353546b3f2fa188dcb7891a562b780 2331 liblocale-subcountry-perl_1.56-2.dsc
 7760a8978b09fe6f7151a95a7dcdff864277511d1e616697c4799ecedc2cb6ad 4151 liblocale-subcountry-perl_1.56-2.debian.tar.gz
 fe6e2866463b41fb5bf1ba924b6140ac8a6d8747d8b306dc3cc823da90f166c0 83402 liblocale-subcountry-perl_1.56-2_all.deb
Files: 
 bf92a8c956005169d3540250581da96b 2331 perl optional liblocale-subcountry-perl_1.56-2.dsc
 ac5a6640d5b3bd0ffc8bacc5c273f11a 4151 perl optional liblocale-subcountry-perl_1.56-2.debian.tar.gz
 0c5570bed59954cd13f93794a1aac155 83402 perl optional liblocale-subcountry-perl_1.56-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQkAQEAAoJELs6aAGGSaoGqQYP/iUaPSDkAqn21yWVRKdmQGj8
/Hpt37aMTUU/2/6Ub6KaL+NtS4GQbfY57MVh79Vj1VCs7GDkxs6fnAm7gr9gsUfo
+rrMtU69wznr6batT2Xc0UGXakomyWd8bbRG3euHzU7kAS/HQTBk7Pzn4AYukgAs
95Ck1fno42knT+P4K4iJdqzvzzaNhuGoKtslok8gkPmopl1KWw2n2SnWW828ne+M
OxvbN4UMEhY+vUwzd4VLI1PRJ1zEA/8gBW4ds6lXCpCh7uTIvkQVpJQCVHjAipmq
+wY3tzojOQa9LFrHz7cjaUqSd0hgp57IblOmHx1uGzkIDF62hrDiwXp1ZKZvdFlO
htYE0MZTslCaoND8iddSAgyqVIW0dgsl8xbBn6iLN2IUfr+RWFrtFh5POpg+TE37
O9Hn6Ka9W6AAct98rYObt91gudAVJc0vYBb6FzfhfdEiIvYs+a3De/miDXmzSX4U
DZLR4dFzKwJ3PTZgIijqocwF00iFn0qxqJeqL0V15+y0W53T913Z8kFMIFso9LJR
5rPDz2wThdC0wmvUOUJh07WWlhcwt4e2z7CIyVhs43y3P1e66ucxbUQBPJGzW+sg
T0dNEy3kD+zxTtRuCuW0uNVB/+4M8oaY+6dqEtegIp8SwcRkLzWpIqxLTtSNL4ch
idaWHZUcQKTgduW2wML/
=ashh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Nov 2012 07:28:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:23:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.